: Class ToolBarLayout

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class ToolBarLayout

    java.lang.Object
      |
      +--java.awt.GridBagLayout
            |
            +--grendel.ui.ToolBarLayout

public class ToolBarLayout
extends java.awt.GridBagLayout

See Also:
  Serialized Form

Field Summary
`static int` | `HORIZONTAL`
`static int` | `VERTICAL`

Fields inherited from class java.awt.GridBagLayout
`columnWeights, columnWidths, comptable, defaultConstraints, layoutInfo, MAXGRIDSIZE, MINSIZE, PREFERREDSIZE, rowHeights, rowWeights`

Constructor Summary
`ToolBarLayout()`
`ToolBarLayout(int anOrientation)`

Method Summary
`Spring` | `createSpring()`
`int` | `getAnchor()`
`int` | `getFill()`
`int` | `getGridHeight()`
`int` | `getGridWidth()`
`int` | `getGridX()`
`int` | `getGridY()`
`java.awt.Insets` | `getInsets()`
`int` | `getIPadX()`
`int` | `getIPadY()`
`double` | `getWeightX()`
`double` | `getWeightY()`
`void` | `setAnchor(int anAnchor)`
`void` | `setFill(int aFill)`
`void` | `setGridHeight(int aGridHeight)`
`void` | `setGridWidth(int aGridWidth)`
`void` | `setGridX(int x)`
`void` | `setGridY(int y)`
`void` | `setInsets(java.awt.Insets anInsets)`
`void` | `setIPadX(int x)`
`void` | `setIPadY(int y)`
`void` | `setWeightX(double x)`
`void` | `setWeightY(double y)`

Methods inherited from class java.awt.GridBagLayout
`addLayoutComponent, addLayoutComponent, AdjustForGravity, ArrangeGrid, getConstraints, getLayoutAlignmentX, getLayoutAlignmentY, getLayoutDimensions, GetLayoutInfo, getLayoutOrigin, getLayoutWeights, GetMinSize, invalidateLayout, layoutContainer, location, lookupConstraints, maximumLayoutSize, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setConstraints, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HORIZONTAL

    public static final int HORIZONTAL

### VERTICAL

    public static final int VERTICAL

Constructor Detail

### ToolBarLayout

    public ToolBarLayout()

### ToolBarLayout

    public ToolBarLayout(int anOrientation)

Method Detail

### getGridX

    public int getGridX()

### setGridX

    public void setGridX(int x)

### getGridY

    public int getGridY()

### setGridY

    public void setGridY(int y)

### getWeightX

    public double getWeightX()

### setWeightX

    public void setWeightX(double x)

### getWeightY

    public double getWeightY()

### setWeightY

    public void setWeightY(double y)

### getAnchor

    public int getAnchor()

### setAnchor

    public void setAnchor(int anAnchor)

### getInsets

    public java.awt.Insets getInsets()

### setInsets

    public void setInsets(java.awt.Insets anInsets)

### getIPadX

    public int getIPadX()

### setIPadX

    public void setIPadX(int x)

### getIPadY

    public int getIPadY()

### setIPadY

    public void setIPadY(int y)

### getGridWidth

    public int getGridWidth()

### setGridWidth

    public void setGridWidth(int aGridWidth)

### getGridHeight

    public int getGridHeight()

### setGridHeight

    public void setGridHeight(int aGridHeight)

### getFill

    public int getFill()

### setFill

    public void setFill(int aFill)

### createSpring

    public Spring createSpring()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD